diff -u -urN xosview-1.8.3/linux/netmeter.cc xosview-1.8.3.te/linux/netmeter.cc
--- xosview-1.8.3/linux/netmeter.cc	2011-01-10 13:31:55.000000000 +0100
+++ xosview-1.8.3.te/linux/netmeter.cc	2011-01-10 14:48:32.000000000 +0100
@@ -118,6 +118,7 @@
   dodecay_ = parent_->isResourceTrue( "netDecay" );
   SetUsedFormat (parent_->getResource("netUsedFormat"));
   netIface_ = parent_->getResource( "netIface" );
+  netBonding_ = atoi (parent_->getResource( "netBonding" ) );
 
   _ipsock = socket(AF_INET, SOCK_DGRAM, 0);
   if (_ipsock == -1) {
@@ -227,8 +228,8 @@
     if (t < 0)
         t = 0.1;
 
-    fields_[0] = (totin - _lastBytesIn) * t;
-    fields_[1] = (totout - _lastBytesOut) * t;
+    fields_[0] = (totin - _lastBytesIn) * t / netBonding_;
+    fields_[1] = (totout - _lastBytesOut) * t / netBonding_;
 
     _lastBytesIn = totin;
     _lastBytesOut = totout;
@@ -318,8 +319,8 @@
         if (t < 0)  // can happen when system clock is reset. (ntp, timed, etc)
             t = 0.1;
 
-        fields_[0] = (tot_in - _lastBytesIn) * t;
-        fields_[1] = (tot_out - _lastBytesOut) * t;
+        fields_[0] = (tot_in - _lastBytesIn) * t / netBonding_;
+        fields_[1] = (tot_out - _lastBytesOut) * t / netBonding_;
 
         _lastBytesIn = tot_in;
         _lastBytesOut = tot_out;
diff -u -urN xosview-1.8.3/linux/netmeter.h xosview-1.8.3.te/linux/netmeter.h
--- xosview-1.8.3/linux/netmeter.h	2011-01-10 13:31:55.000000000 +0100
+++ xosview-1.8.3.te/linux/netmeter.h	2011-01-10 14:47:51.000000000 +0100
@@ -26,6 +26,7 @@
 protected:
   float maxpackets_;
   std::string netIface_;
+  int netBonding_;
 
 private:
   int _ipsock;
diff -u -urN xosview-1.8.3/Xdefaults xosview-1.8.3.te/Xdefaults
--- xosview-1.8.3/Xdefaults	2006-02-19 02:36:08.000000000 +0100
+++ xosview-1.8.3.te/Xdefaults	2011-01-10 15:04:48.000000000 +0100
@@ -132,6 +132,7 @@
 !                                  ! or  14.4kbps modems (with compression)
 !xosview*netBandwidth:    1000000  ! for 10Mbit/s Ethernet (could be 1250000)
 !xosview*netBandwidth:   10000000  ! for 100Mbit/s Ethernet (could be 12500000)
+xosview*netBonding:         1
 xosview*netInColor:         SkyBlue
 xosview*netOutColor:        SlateBlue1
 xosview*netBackground:      aquamarine
diff -u -urN xosview-1.8.3/Xdefaults.in xosview-1.8.3.te/Xdefaults.in
--- xosview-1.8.3/Xdefaults.in	2011-01-10 13:31:55.000000000 +0100
+++ xosview-1.8.3.te/Xdefaults.in	2011-01-10 15:05:09.000000000 +0100
@@ -133,6 +133,7 @@
 !                                  ! or  14.4kbps modems (with compression)
 *netBandwidth:    1000000  ! for 10Mbit/s Ethernet (could be 1250000)
 !*netBandwidth:   10000000  ! for 100Mbit/s Ethernet (could be 12500000)
+*netBonding:         1
 *netInColor:         blue
 *netOutColor:        red
 *netBackground:      green2
diff -u -urN xosview-1.8.3/Xdefaults.stipple xosview-1.8.3.te/Xdefaults.stipple
--- xosview-1.8.3/Xdefaults.stipple	1999-11-06 23:48:16.000000000 +0100
+++ xosview-1.8.3.te/Xdefaults.stipple	2011-01-10 15:05:31.000000000 +0100
@@ -22,6 +22,7 @@
 xosvstipple*memInactiveColor:	orange
 xosvstipple*swapUsedColor:	yellow
 xosvstipple*swapFreeColor:	yellow
+xosvstipple*netBonding:         1
 xosvstipple*netInColor:		green
 xosvstipple*netOutColor:	green
 xosvstipple*netBackground:	green
